VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GlobalParameterState Struct Reference

`#include <note_expression_synth_voice.h>`

## Public Member Functions
tresult | setState (IBStream *stream)
tresult | getState (IBStream *stream)

## Public Attributes
BrownNoise< float > * | noiseBuffer
ParamValue | masterVolume
ParamValue | masterTuning
ParamValue | velToLevel
ParamValue | noiseVolume
ParamValue | sinusVolume
ParamValue | triangleVolume
ParamValue | squareVolume
ParamValue | releaseTime
ParamValue | sinusDetune
ParamValue | triangleSlop
ParamValue | filterFreq
ParamValue | filterQ
ParamValue | freqModDepth
int8 | filterType
int8 | tuningRange
int8 | bypassSNA

## Member Function Documentation

## ◆ setState()

tresult setState | ( | IBStream * | stream | ) |

## ◆ getState()

tresult getState | ( | IBStream * | stream | ) |

## Member Data Documentation

## ◆ noiseBuffer

BrownNoise<float>* noiseBuffer

## ◆ masterVolume

ParamValue masterVolume

## ◆ masterTuning

ParamValue masterTuning

## ◆ velToLevel

ParamValue velToLevel

## ◆ noiseVolume

ParamValue noiseVolume

## ◆ sinusVolume

ParamValue sinusVolume

## ◆ triangleVolume

ParamValue triangleVolume

## ◆ squareVolume

ParamValue squareVolume

## ◆ releaseTime

ParamValue releaseTime

## ◆ sinusDetune

ParamValue sinusDetune

## ◆ triangleSlop

ParamValue triangleSlop

## ◆ filterFreq

ParamValue filterFreq

## ◆ filterQ

ParamValue filterQ

## ◆ freqModDepth

ParamValue freqModDepth

## ◆ filterType

int8 filterType

## ◆ tuningRange

int8 tuningRange

## ◆ bypassSNA

int8 bypassSNA

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.